Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160625 - missing BuildReq in cpio
Summary: missing BuildReq in cpio
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cpio
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 07:10 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-30 09:21:47 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-16 07:10:07 UTC
During a testbuild of cpio-2.5-7 in mock, the missing BuildRequire on texinfo
becomes aparent:

Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.50738
+ umask 022
+ cd /builddir/build/BUILD
+ cd cpio-2.5
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/cpio-root
+ /usr/bin/make prefix=/var/tmp/cpio-root/usr exec_prefix=/var/tmp/cpio-root/usr
bindir=/var/tmp/cpio-root/bin sbindir=/var/tmp/cpio-root/usr/sbin
sysconfdir=/var/tmp/cpio-root/etc datadir=/var/tmp/cpio-root/usr/share
includedir=/var/tmp/cpio-root/usr/include libdir=/var/tmp/cpio-root/usr/lib64
libexecdir=/var/tmp/cpio-root/sbin localstatedir=/var/tmp/cpio-root/var
sharedstatedir=/var/tmp/cpio-root/usr/com
mandir=/var/tmp/cpio-root/usr/share/man
infodir=/var/tmp/cpio-root/usr/share/info install
./mkinstalldirs /var/tmp/cpio-root/bin /var/tmp/cpio-root/sbin
/var/tmp/cpio-root/usr/share/man/man1 /var/tmp/cpio-root/usr/share/info
mkdir /var/tmp/cpio-root
mkdir /var/tmp/cpio-root/bin
mkdir /var/tmp/cpio-root/sbin
mkdir /var/tmp/cpio-root/usr
mkdir /var/tmp/cpio-root/usr/share
mkdir /var/tmp/cpio-root/usr/share/man
mkdir /var/tmp/cpio-root/usr/share/man/man1
mkdir /var/tmp/cpio-root/usr/share/info
/usr/bin/install -c cpio /var/tmp/cpio-root/bin/cpio
test ! -f mt || /usr/bin/install -c mt /var/tmp/cpio-root/bin/mt
test ! -f rmt || /usr/bin/install -c rmt /var/tmp/cpio-root/sbin/rmt
/usr/bin/install -c -m 644 ./cpio.1 /var/tmp/cpio-root/usr/share/man/man1/cpio.1
test ! -f mt || /usr/bin/install -c -m 644 ./mt.1
/var/tmp/cpio-root/usr/share/man/man1/mt.1
makeinfo -I. cpio.texi
make: makeinfo: Command not found
make: *** [cpio.info] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.50738 (%install)

Comment 1 Peter Vrabec 2005-06-30 09:21:47 UTC
Did you update your cpio? It should be fixed in cpio-2.5-7.EL4.1.



Note You need to log in before you can comment on or make changes to this bug.